Summary: Live looping instrument
Name: fweelin
Version: 0.6
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://freewheeling.sourceforge.net/
Source0: %{name}-%{version}%{?pretag:%{pretag}}-src.tar.bz2
Source1: fweelin.png
Source2: fweelin.desktop
Patch0: fweelin-0.6-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils SDL_gfx-devel SDL_ttf-devel
BuildRequires: fluidsynth-devel jack-audio-connection-kit-devel
BuildRequires: alsa-lib-devel libsndfile-devel libvorbis-devel
BuildRequires: libxml2-devel SDL-devel libtool lash-devel
BuildRequires: e2fsprogs-devel readline-devel ncurses-devel
BuildRequires: openssl-devel gnutls-devel freetype-devel 
%if 0%{?fedora} >= 5 || 0%{?rhel} >= 5
BuildRequires: libX11-devel
%else
BuildRequires: XFree86-devel
%endif
BuildRequires: automake autoconf libtool

%description
FreeWheeling is a new way to be In The Muse-ical Moment. It is a live
looping instrument that returns us to the joy of making music
spontaneously.

FreeWheeling allows us to build repetitive grooves by sampling and
directing loops from within spirited improvisation. FreeWheeling works
because it is built from the perspective of an improviser. It takes us
out of mice and menus, and into our own process of making sound.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
aclocal && automake && autoconf
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%{__mkdir} -p %{buildroot}%{_datadir}/icons
%{__install} -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/

BASE="Application AudioVideo Audio"
XTRA="X-Digital_Processing X-Jack"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor planetccrma \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE2}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TUNING
%doc examples
%{_bindir}/*
%{_datadir}/fweelin
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/*

%changelog
* Wed May 19 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added libogg check in configure.ac to link against -logg, needed
  for fc13/gcc4.4.4

* Tue Nov 24 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6-1
- updated to version 0.6

* Fri Feb  1 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- built on CentOS

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Mon Mar  5 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.5-1
- updated to 0.5.5, added examples to docs

* Sun Nov 26 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.3-1
- updated to 0.5.3
- spec file tweaks

* Sun May  7 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.2a-1
- updated to 0.5.2a, added Planet CCRMA categories to desktop file
- added patch for extra qualification
- added icon

* Sat Nov 19 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5-0.2.pre4
- build requires lash (name change from ladcca)
- change all references from ladcca to lash

* Wed May  4 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5-0.1.pre4
- updated to 0.5 pre4

* Mon Jan 24 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5pre2-1
- updated to 0.5 pre2

* Tue Jan  4 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5pre1-1
- initial build.
- add patch for building on fc3
- add desktop entry
